# Generated from mogilefs-client-3.12.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mogilefs-client

Name: rubygem-%{gem_name}
Version: 3.12.2
Release: 1%{?dist}
Summary: MogileFS client library for Ruby
License: BSD-3-Clause
URL: https://yhbt.net/mogilefs-client/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A MogileFS client library for Ruby.  MogileFS is an open source
distributed filesystem, see:
https://github.com/mogilefs/MogileFS-Server/wiki for more details.
This library allows any Ruby application to read, write and delete
files in a MogileFS instance.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mog
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.manifest
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/HACKING
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/pkg.mk
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/History
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/examples
%{gem_instdir}/mogilefs-client.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 3.12.2-1
- Initial package
